مواد پر جائیں

Post Processing Color Correction

انٹیگریٹ کریں

ماڈل id post-processing/color-correction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/color-correction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ⁨$0.001⁩ 1 API کریڈٹ اس صفحے پر چلائیں

API کلید حاصل کریں
Utility · تصویر

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی image_url
فائل ڈراپ کریں، یا

پروسیسنگ کے لیے تصویر کا URL۔

ایڈوانسڈ temperature · brightness · contrast · saturation · gamma
ڈیفالٹ 0

رنگ کے درجہ حرارت میں ایڈجسٹمنٹ۔

ڈیفالٹ 0

تصویر کی چمک میں ایڈجسٹمنٹ۔

ڈیفالٹ 0

تصویر کے کنٹراسٹ میں ایڈجسٹمنٹ۔

ڈیفالٹ 0

رنگ کی سیچوریشن میں ایڈجسٹمنٹ۔

ڈیفالٹ 1

گاما میں ایڈجسٹمنٹ۔

POST /run/post-processing/color-correction?wait=20 قیمت → ⁨$0.001⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/color-correction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Post Processing Color Correction کے بارے میں

`image_url` پر پانچ ایڈجسٹمنٹس لاگو کرتا ہے۔ `temperature`، `brightness`، `contrast` اور `saturation` -100 سے 100 تک، ڈیفالٹ 0 کے ساتھ، جبکہ `gamma` 0.2 سے 2.2 تک، ڈیفالٹ 1 کے ساتھ ہے۔ تخلیق کردہ تصاویر کی گریڈنگ یا بیلنسنگ کے لیے مفید ہے۔

پیرامیٹرز

معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام

نامقسم ڈیفالٹمجاز تفصیل
image_urlلازمی image
قسمurl · image
پروسیسنگ کے لیے تصویر کا URL۔
temperatureاختیاری
قسمnumber
ڈیفالٹ0
-100 – 100
رنگ کے درجہ حرارت میں ایڈجسٹمنٹ۔
brightnessاختیاری
قسمnumber
ڈیفالٹ0
-100 – 100
تصویر کی چمک میں ایڈجسٹمنٹ۔
contrastاختیاری
قسمnumber
ڈیفالٹ0
-100 – 100
تصویر کے کنٹراسٹ میں ایڈجسٹمنٹ۔
saturationاختیاری
قسمnumber
ڈیفالٹ0
-100 – 100
رنگ کی سیچوریشن میں ایڈجسٹمنٹ۔
gammaاختیاری
قسمnumber
ڈیفالٹ1
0.2 – 2.2
گاما میں ایڈجسٹمنٹ۔
لازمی معیاری نام، یہ بھی قبول ہے

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "post-processing/color-correction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
images
array of object {url, content_type, file_name, file_size, width, height}رنگ کی اصلاح کے بعد کی تصاویر۔

مزید ماڈلز: تصویر میں ترمیم

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/post-processing/color-correction.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt